<?php
  /*
   * ADD_SHOW.php  -  form handler from addshow.html
   * Copyright (C) Christopher Niggel 10-4-2002
   * See README for licensing information
   *
   * Takes POST results from addshow.html or add_show.php and presents a preview
   * or posts to database.
   * REQUIRES: db_library.php  - database abstraction layer. see db_library for more
   *      dehtml.php - functions to parse BBCode and remove HTML from form entries
   * this is meant as an interim page, so its handled a bit differently.
   * control over headers and footers is only granted on the preview page.
   */

#set up page variables
include "settings.php";
require "db_library.php";
$error_code = 0;

#set array of form values (makes life easier)
$form_values = array('BAND','DateYear','DateMonth','DateDay','VENUE','CITY','TIME','PRICE','DETAILS');

#check for required fields
foreach ($form_values as $i ) {
	if (!isset($_POST[$i])) $error_code = 1;
	elseif ($_POST[$i] =="") $error_code = 1;
}

#we know fields exist and have something in them
#put the form fields into variables we can use
$BAND = $_POST[$form_values[0]];
$DATE = $_POST[$form_values[1]] .'-' .$_POST[$form_values[2]] .'-' .$_POST[$form_values[3]];
$DATEYear = $_POST[$form_values[1]];
$DATEMonth = $_POST[$form_values[2]];
$DATEDay = $_POST[$form_values[3]];
$VENUE = $_POST[$form_values[4]];
$CITY = $_POST[$form_values[5]];
$TIME = $_POST[$form_values[6]];
$PRICE = $_POST[$form_values[7]];
$DETAILS = $_POST[$form_values[8]];

#remove any HTML from the fields
include "dehtml.php";
$BAND = de_html($BAND);
$DATE = de_html($DATE);
$VENUE = de_html($VENUE);
$CITY = de_html($CITY);
$TIME = de_html($TIME);
$PRICE = de_html($PRICE);
$DETAILS = de_html($DETAILS);
#parse any bbcode in the details field into DETAILS_HTML for display
$DETAILS_HTML = bb_decode($DETAILS);

#check for preview or post submission
if ($_POST['submit'] == "Preview") {
	#generate preview page
	echo (PAGEHEADER);

	echo("
		  <table border=1 align=center>
		  <tr>
		  <td>
		  <table border=0>
		  <tr>
		  <td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Band</td>
		  <td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Date</td>
		  <td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Venue</td>
		  <td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">City</td>
		  <td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Time</td>
		  <td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Price</td>
		  <td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Details</td>
		  </tr>
		  <tr>
		  <td bgcolor=" .BGCOLOR1 .">$BAND</td>
		  <td bgcolor=" .BGCOLOR1 .">$DATE</td>
		  <td bgcolor=" .BGCOLOR1 .">$VENUE</td>
		  <td bgcolor=" .BGCOLOR1 .">$CITY</td>
		  <td bgcolor=" .BGCOLOR1 .">$TIME</td>
		  <td bgcolor=" .BGCOLOR1 .">$PRICE</td>
		  <td bgcolor=" .BGCOLOR1 .">$DETAILS_HTML</td>
		  </tr>
		  </table>
		  </td>
		  </tr>
		  <tr>
		  <td colspan=7>
		  <form action=add_show.php method=post>
		  ");
		$BAND = urlencode($BAND);
		$VENUE = urlencode($VENUE);
		$CITY = urlencode($CITY);
		$TIME = urlencode($TIME);
		$PRICE = urlencode($PRICE);
		$DETAILS = urlencode($DETAILS);
	echo("
		  <input type=hidden name=BAND value='$BAND'>
		  <input type=hidden name=DateYear value='$DATEYear'>
		  <input type=hidden name=DateMonth value='$DATEMonth'>
		  <input type=hidden name=DateDay value='$DATEDay'>
		  <input type=hidden name=VENUE value='$VENUE'>
		  <input type=hidden name=CITY value='$CITY'>
		  <input type=hidden name=TIME value='$TIME'>
		  <input type=hidden name=PRICE value='$PRICE'>
		  <input type=hidden name=DETAILS value='$DETAILS'>
		  <input type=hidden name=ENCODED value=1>
		  This is a preview. To submit, click <input type=submit value=Post name=submit><br>
		  otherwise, use the back button to make changes.
		  </form>
		  </td>
		  </tr>
		  </table>
		 ");
	echo(PAGEFOOTER);
}
else
#generate submission page
	{
		#create page header
		echo("<html>
			  <head>
			  <title>Request Submission</title>
			  <meta http-equiv=refresh content=\"2," .HOME_DIR ."\">
			  </head>
			  <body bgcolor=#ffffff text=#000000>
			  <table border=0 width=100% height=100%>
			  <tr>
			  <td align=center valign=center>
			  <table border=1>
			  <tr>
			  <td>
			");

		//open database connection
		  $data_base = new DB_class;
		  $data_base->Create();

		//encode the entries so wierd characters are escaped
		if(!isset($_POST['ENCODED'])) {
			$BAND = urlencode($BAND);
			$VENUE = urlencode($VENUE);
			$CITY = urlencode($CITY);
			$TIME = urlencode($TIME);
			$PRICE = urlencode($PRICE);
			$DETAILS = urlencode($DETAILS);
		}

		#debug echo("$BAND $VENUE $CITY $TIME $PRICE $DETAILS");
		//make database entry
		  $data_base->Query("insert into TBL_SHOWS values(0,'$BAND','$DATE','$VENUE','$CITY','$TIME','$PRICE','$DETAILS',0)");
		  echo("Your show has been added to the database.<br>
		        It will appear once the moderator has approved it.<br>
		        <a href=" .HOME_DIR .">Back To Listings</a>");
		  echo("</td>
		  		</tr>
		  		</table>
		  		</td>
		  		</tr>
		  		</table>
		  		</body>
		  		</html>");
	}

?>
